classification
Title: Document back ported C functions
Type: enhancement Stage: patch review
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Chipaca, christian.heimes, docs@python, georg.brandl
Priority: normal Keywords: easy, patch

Created on 2008-01-27 14:57 by christian.heimes, last changed 2010-10-17 10:55 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
1945.diff Chipaca, 2008-02-17 23:34 Copied documentation from the py3k branch. review
1945-2.diff Chipaca, 2008-02-19 01:37 same as previous, but with versionadded and refcounts info review
Messages (4)
msg61736 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-27 14:57
Document the C functions which were back ported from py3k in r60283.
msg62511 - (view) Author: John Rowland Lenton (Chipaca) * Date: 2008-02-17 23:34
Copied documentation from the py3k branch for the functions mentioned in
the .h's (those were: PyLong_FromSsize_t, PyLong_FromSize_t,
PyLong_AsSsize_t, PyUnicode_FromStringAndSize, PyUnicode_FromString,
PyUnicode_FromFormat, and PyUnicode_FromFormatV). Tested by building the
documentation; everything seems to be in order. Added NEWS entry.
msg62554 - (view) Author: John Rowland Lenton (Chipaca) * Date: 2008-02-19 01:37
This is the same as the previous patch, but I added the "versionadded"
notation in the rst, and the info in refcounts.dat to get the "return
value" info in the docs.
msg118933 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-10-17 10:55
Thanks, applied in r85632.
History
Date User Action Args
2010-10-17 10:55:33georg.brandlsetstatus: open -> closed
resolution: accepted
messages: + msg118933
2010-08-07 20:39:12terry.reedysetkeywords: + patch
stage: patch review
versions: - Python 2.6
2010-07-09 10:43:13pitrousetassignee: georg.brandl -> docs@python

nosy: + docs@python
2010-07-09 05:27:14terry.reedysetversions: + Python 2.7
2008-03-29 01:56:07georg.brandlsetassignee: georg.brandl
nosy: + georg.brandl
2008-02-19 01:37:13Chipacasetfiles: + 1945-2.diff
messages: + msg62554
2008-02-17 23:34:52Chipacasetfiles: + 1945.diff
nosy: + Chipaca
messages: + msg62511
2008-01-27 14:57:37christian.heimescreate